package com.dcit.authority.service;

import java.util.List;

import com.dcit.authority.model.City;
import com.dcit.authority.model.CityExample;

public interface CityService {
	int countByExample(CityExample example);

    int deleteByExample(CityExample example);

    int deleteByPrimaryKey(String id);

    int insert(City record);

    int insertSelective(City record);

    List<City> selectByExample(CityExample example);

    City selectByPrimaryKey(String id);

    int updateByExampleSelective(City record, CityExample example);

    int updateByExample(City record, CityExample example);

    int updateByPrimaryKeySelective(City record);

    int updateByPrimaryKey(City record);
}
